Skip to main content
GET
/
api
/
email-drafts
/
{draft_id}
Get a draft
curl --request GET \
  --url https://api.morphic.io/api/email-drafts/{draft_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "<string>",
  "body_html": "<string>",
  "to_emails": [
    "<string>"
  ],
  "cc_emails": [
    "<string>"
  ],
  "bcc_emails": [
    "<string>"
  ],
  "attachments": [
    {}
  ]
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

draft_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
account_id
string<uuid>
required
user_id
string<uuid>
required
subject
string | null
required
body_html
string
required
to_emails
string[]
required
cc_emails
string[]
required
bcc_emails
string[]
required
attachments
Attachments · object[]
required